ReferenceCMSPlugin
==================

Installation
------------

Install the plugin:

    pip install -i https://pi.emencia.net/-/ reference_cmsplugin


Add the `reference_cmsplugin` in the `INSTALLED_APPS`.

Then load its settings from your settings file:

    from reference_cmsplugin.settings import *

And finally apply database migrations.

Customization
-------------

Customize the template ``reference_cmsplugin/reference_list.html``. It exposes
the following variables:

- `categories`: the queryset of categories to display.
- `references`: the queryset of distinct references matching the selected categories.

Set Multiple Template
---------------------

You could define multiple templates in settings and select it into the plugin.

For example:

    BLOCKS_REFERENCE_TEMPLATES = [                                                
        ('reference_cmsplugin/reference_list.html', 'Default'),                   
        ('reference_cmsplugin/other_reference_list.html', 'Other'),             
    ]

Default setting value contains only one default template.
